[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

boost macros use non-portable tac

From: Peter Johansson
Subject: boost macros use non-portable tac
Date: Tue, 25 Sep 2012 10:47:44 +1000
User-agent: Mozilla/5.0 (X11; Linux x86_64; rv:10.0.7) Gecko/20120825 Thunderbird/10.0.7


I noticed that some AX_BOOST macros now [1] depend on 'tac', which is not portable. In particular we experience problem on OSX and found the best solution was to downgrade the macros. As one of the major point with Autoconf is to have a portable shell script 'configure', it seems odd to add dependency to something like 'tac'. It is, of course, debatable which tools are standard and not, but in an official archive like this, I think it would make sense to follow the GNU Coding Standard [2] and only use tools listed there: awk cat cmp cp diff echo egrep expr false grep install-info ln ls mkdir mv printf pwd rm rmdir sed sleep sort tar test touch tr true.

Any opinions?



reply via email to

[Prev in Thread] Current Thread [Next in Thread]